Apache Tomcat 6.0.53

## org.apache.catalina.realm
Class JNDIRealm.User

    java.lang.Object
      org.apache.catalina.realm.JNDIRealm.User

Enclosing class:
  JNDIRealm

    protected static class JNDIRealm.User

extends java.lang.Object

A protected class representing a User

Constructor Summary
`JNDIRealm.User(java.lang.String username, java.lang.String dn, java.lang.String password, java.util.List<java.lang.String> roles)`

Method Summary
`java.lang.String` | `getDN()`
`java.lang.String` | `getPassword()`
`java.util.List<java.lang.String>` | `getRoles()`
`java.lang.String` | `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIRealm.User

    public JNDIRealm.User(java.lang.String username,
                          java.lang.String dn,
                          java.lang.String password,
                          java.util.List<java.lang.String> roles)

Method Detail

### getUserName

    public java.lang.String getUserName()

### getDN

    public java.lang.String getDN()

### getPassword

    public java.lang.String getPassword()

### getRoles

    public java.util.List<java.lang.String> getRoles()

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.